* {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html {
  font-size: 62.5%;
}

body {
  width: 400px;
  height: 100vh;
  margin: 0 auto;
}


/*============Cabecera================*/
nav {
  display: flex;
  justify-content: space-between;
  align-items: center;
  height: 70px;
  margin: 20px;
}

nav img {
  width: 119px;
}

nav i {
  font-size: 2.5rem;
  color: #8C1A7A;
  border: 2px solid #8C1A7A;
  border-radius: 50%;
  padding: 8px;
  transition: transform 0.3s ease;
}

nav i:hover {
  color: #1f929d;
  border: 2px solid #1f929d;
  transform: scale(1.2);
}

/*============img hero================*/

.main-hero {
  width: 100%;
  height: 200px;
  background-image: url(/assets/bghero.png);
  background-size: cover;
  background-repeat: no-repeat;
  background-position: center;
  margin: 20px 0;
}


/*============Section img user================*/

.main-img-user {
  text-align: center;
  margin-bottom: 50px;
}

.main-img-user img {
  width: 134px;
  margin-top: -90px;
}

.main-img-user h1 {
  font-size: 3rem;
  color: #8C1A7A;
}

.main-img-user p {
  font-size: 1.8rem;
}


/*============Section contact Icons================*/
.main-contacts-icon {
  display: flex;
  justify-content: space-around;
  align-items: center;
  margin: 0 auto;
}

.main-contacts-icon div {
  text-align: center;
  margin: 0 10px;
}

.contact-icon {
  cursor: grab;
}

 .main-contacts-icon a img {
  width: 60px;
  transition: transform 0.3s ease;
}

.main-contacts-icon div:hover img {
  transform: scale(1.2);
}

.main-contacts-icon a {
  text-decoration: none;
  color: #333;
  margin-top: 5px;

}

.main-contacts-icon a span {
  display: block;
  margin-top: 5px;
  font-size: 1.6rem;
} 


/*============Section Social Icons================*/

.main-social-icons {
  margin-top: 50px;
  height: 400px;
  background-color: #f0f0ee;
  box-shadow: 0px -10px 20px -15px;
  padding: 30px;
  text-align: center;
}

.main-social-icons h2 {
  font-size: 2.4rem;
  margin-top: 10px;
  color: #8C1A7A;
}

.main-social-icons p {
  font-size: 1.6rem;
  margin-bottom: 20px;
}



/*Estilos para cada icon social*/
.social-icons-container {
  display: flex;
  flex-wrap: wrap;
  justify-content: space-between;
}

.social-icons-container .social-icon {
  flex: 0 0 calc(33.33% - 10px);
  margin-bottom: 10px;
  text-align: center;
}

.social-icons-container .social-icon img {
  width: 60px;
  object-fit: cover;
  border-radius: 50%;
  border: 2px solid #ccc;
}


/*============Section Social Icons================*/

footer {
  display: flex;
  text-align: center;
  height: 50px;
  font-size: 1.2rem;
  justify-content: center;
  align-items: center;
}

footer p {
  margin: 0;
  color: #979797;
}



/*============Responsive================*/


@media (min-width: 480px) {
  /* Estilos específicos para dispositivos móviles */
  body {
    width: 100%; /* Ancho completo para dispositivos móviles */
    max-width: 380px; /* Máximo ancho de 500px para dispositivos móviles */
    padding: 10px; /* Agrega espaciado alrededor del contenido */
  }
}